#include <cv.h>
#include <highgui.h>
#include <stdio.h>
#include <unistd.h>
#include <stdlib.h>
#include <errno.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <stdint.h>

#define OFTX 20
#define OFTY 100
#define STEPX 5
#define WAVEN 512

int main (int argc, char **argv)
{
  int i;
  unsigned long inWave[WAVEN];
  IplImage *img;
  int val, valp1;
  int TEM0, TEM1, HUM;
  char tmpchar[100];
  CvFont font;
  int font_face[] = {
    CV_FONT_HERSHEY_SIMPLEX,
    CV_FONT_HERSHEY_PLAIN,
    CV_FONT_HERSHEY_DUPLEX,
    CV_FONT_HERSHEY_COMPLEX,
    CV_FONT_HERSHEY_TRIPLEX,
    CV_FONT_HERSHEY_COMPLEX_SMALL,
    CV_FONT_HERSHEY_SCRIPT_SIMPLEX,
    CV_FONT_HERSHEY_SCRIPT_COMPLEX
  };
  int fco = 0;

  cvInitFont(&font, font_face[0], 1.5, 1.5, 0, 3, 4);

    if(argc != 3) {
      fprintf(stderr, "Usage: %s Temparature Humidity\r\n", argv[0]);
      return -1;
    }

    TEM1 = atoi(argv[1])/10;
    TEM0 = atoi(argv[1])-TEM1*10;
    HUM = atoi(argv[2]);

  img = cvCreateImage (cvSize (700, 300), 8, 1);

  cvSet (img, cvScalarAll (255), 0);

  sprintf( tmpchar, "Temparature: %d.%d [centi.]", TEM1, TEM0 );
  cvPutText(img, tmpchar, cvPoint(OFTX, OFTY) , &font, CV_RGB(0, 0, 0));
  sprintf( tmpchar, "Humidity: %d [perc.]", HUM );
  cvPutText(img, tmpchar, cvPoint(OFTX, OFTY + 100) , &font, CV_RGB(0, 0, 0));

  cvNamedWindow ("Result", CV_WINDOW_AUTOSIZE);

    while(1)
    {
        cvShowImage ("Result", img);
        cvMoveWindow("Result",0,0);

        if(cvWaitKey(1)>=0) {
            break;
        } else if(fco == 500) {
            break;
        } else {
            fco++;
        }
    }


  cvDestroyWindow ("Waveform");
  cvReleaseImage (&img);

  return 0;
}

